import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from "react";
import RemoveRedEye from "@material-ui/icons/RemoveRedEye";
import TextFormat from "@material-ui/icons/TextFormat";
import Edit from "@material-ui/icons/Edit";
import Audiotrack from "@material-ui/icons/Audiotrack";
import Help from "@material-ui/icons/Help";
import ThreeDRotation from "@material-ui/icons/ThreeDRotation";
export default (function (_ref) {
  var type = _ref.type,
      props = _objectWithoutProperties(_ref, ["type"]);

  switch (type) {
    case "image_label":
    case "image_segmentation":
      return /*#__PURE__*/React.createElement(RemoveRedEye, props);

    case "audio_transcription":
      return /*#__PURE__*/React.createElement(Audiotrack, props);

    case "data_entry":
      return /*#__PURE__*/React.createElement(Edit, props);

    case "text_entity_recognition":
      return /*#__PURE__*/React.createElement(TextFormat, props);

    case "3d_bounding_box":
      return /*#__PURE__*/React.createElement(ThreeDRotation, props);

    default:
      return /*#__PURE__*/React.createElement(Help, props);
  }
});